Get directory user search count
curl --request POST \
--url https://api.wirespeed.co/v1/directory/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"searchAttributeKey": "<string>",
"caseSensitive": false,
"teamId": "<string>",
"groups": [],
"ipId": "<string>",
"endpointId": "<string>",
"endpointPrivateIpId": "<string>",
"userAgentId": "<string>",
"showUnmanagedUsers": true,
"onlyEnabled": true,
"onlyDisabled": true,
"onlyContained": true,
"onlyChatOpsOnboardingUsers": true,
"excludeNhi": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"licenseIds": [
"<string>"
],
"onlyBillable": true,
"groupIds": [
"<string>"
],
"dedupeCanonicalRoots": true,
"onlyCanonicalClustersWithDuplicates": true,
"canonicalClusterOfDirectoryUserId": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/directory/count"
payload = {
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"searchAttributeKey": "<string>",
"caseSensitive": False,
"teamId": "<string>",
"groups": [],
"ipId": "<string>",
"endpointId": "<string>",
"endpointPrivateIpId": "<string>",
"userAgentId": "<string>",
"showUnmanagedUsers": True,
"onlyEnabled": True,
"onlyDisabled": True,
"onlyContained": True,
"onlyChatOpsOnboardingUsers": True,
"excludeNhi": True,
"integrationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"licenseIds": ["<string>"],
"onlyBillable": True,
"groupIds": ["<string>"],
"dedupeCanonicalRoots": True,
"onlyCanonicalClustersWithDuplicates": True,
"canonicalClusterOfDirectoryUserId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
search: '<string>',
orderBy: '<string>',
searchAttributeKey: '<string>',
caseSensitive: false,
teamId: '<string>',
groups: [],
ipId: '<string>',
endpointId: '<string>',
endpointPrivateIpId: '<string>',
userAgentId: '<string>',
showUnmanagedUsers: true,
onlyEnabled: true,
onlyDisabled: true,
onlyContained: true,
onlyChatOpsOnboardingUsers: true,
excludeNhi: true,
integrationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
licenseIds: ['<string>'],
onlyBillable: true,
groupIds: ['<string>'],
dedupeCanonicalRoots: true,
onlyCanonicalClustersWithDuplicates: true,
canonicalClusterOfDirectoryUserId: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/directory/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wirespeed.co/v1/directory/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123,
'page' => 123,
'search' => '<string>',
'orderBy' => '<string>',
'searchAttributeKey' => '<string>',
'caseSensitive' => false,
'teamId' => '<string>',
'groups' => [
],
'ipId' => '<string>',
'endpointId' => '<string>',
'endpointPrivateIpId' => '<string>',
'userAgentId' => '<string>',
'showUnmanagedUsers' => true,
'onlyEnabled' => true,
'onlyDisabled' => true,
'onlyContained' => true,
'onlyChatOpsOnboardingUsers' => true,
'excludeNhi' => true,
'integrationIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'licenseIds' => [
'<string>'
],
'onlyBillable' => true,
'groupIds' => [
'<string>'
],
'dedupeCanonicalRoots' => true,
'onlyCanonicalClustersWithDuplicates' => true,
'canonicalClusterOfDirectoryUserId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wirespeed.co/v1/directory/count"
payload := strings.NewReader("{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wirespeed.co/v1/directory/count")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wirespeed.co/v1/directory/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"params": {},
"validationErrors": [
{
"property": "<string>",
"constraint": "<string>",
"params": {},
"code": "<string>"
}
]
}Directory
Get directory user search count
Returns total count of directory users matching the same filters as the search endpoint. Use this for pagination totalCount without running the count in the search query.
POST
/
v1
/
directory
/
count
Get directory user search count
curl --request POST \
--url https://api.wirespeed.co/v1/directory/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"searchAttributeKey": "<string>",
"caseSensitive": false,
"teamId": "<string>",
"groups": [],
"ipId": "<string>",
"endpointId": "<string>",
"endpointPrivateIpId": "<string>",
"userAgentId": "<string>",
"showUnmanagedUsers": true,
"onlyEnabled": true,
"onlyDisabled": true,
"onlyContained": true,
"onlyChatOpsOnboardingUsers": true,
"excludeNhi": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"licenseIds": [
"<string>"
],
"onlyBillable": true,
"groupIds": [
"<string>"
],
"dedupeCanonicalRoots": true,
"onlyCanonicalClustersWithDuplicates": true,
"canonicalClusterOfDirectoryUserId": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/directory/count"
payload = {
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"searchAttributeKey": "<string>",
"caseSensitive": False,
"teamId": "<string>",
"groups": [],
"ipId": "<string>",
"endpointId": "<string>",
"endpointPrivateIpId": "<string>",
"userAgentId": "<string>",
"showUnmanagedUsers": True,
"onlyEnabled": True,
"onlyDisabled": True,
"onlyContained": True,
"onlyChatOpsOnboardingUsers": True,
"excludeNhi": True,
"integrationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"licenseIds": ["<string>"],
"onlyBillable": True,
"groupIds": ["<string>"],
"dedupeCanonicalRoots": True,
"onlyCanonicalClustersWithDuplicates": True,
"canonicalClusterOfDirectoryUserId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
search: '<string>',
orderBy: '<string>',
searchAttributeKey: '<string>',
caseSensitive: false,
teamId: '<string>',
groups: [],
ipId: '<string>',
endpointId: '<string>',
endpointPrivateIpId: '<string>',
userAgentId: '<string>',
showUnmanagedUsers: true,
onlyEnabled: true,
onlyDisabled: true,
onlyContained: true,
onlyChatOpsOnboardingUsers: true,
excludeNhi: true,
integrationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
licenseIds: ['<string>'],
onlyBillable: true,
groupIds: ['<string>'],
dedupeCanonicalRoots: true,
onlyCanonicalClustersWithDuplicates: true,
canonicalClusterOfDirectoryUserId: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/directory/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wirespeed.co/v1/directory/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123,
'page' => 123,
'search' => '<string>',
'orderBy' => '<string>',
'searchAttributeKey' => '<string>',
'caseSensitive' => false,
'teamId' => '<string>',
'groups' => [
],
'ipId' => '<string>',
'endpointId' => '<string>',
'endpointPrivateIpId' => '<string>',
'userAgentId' => '<string>',
'showUnmanagedUsers' => true,
'onlyEnabled' => true,
'onlyDisabled' => true,
'onlyContained' => true,
'onlyChatOpsOnboardingUsers' => true,
'excludeNhi' => true,
'integrationIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'licenseIds' => [
'<string>'
],
'onlyBillable' => true,
'groupIds' => [
'<string>'
],
'dedupeCanonicalRoots' => true,
'onlyCanonicalClustersWithDuplicates' => true,
'canonicalClusterOfDirectoryUserId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wirespeed.co/v1/directory/count"
payload := strings.NewReader("{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wirespeed.co/v1/directory/count")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wirespeed.co/v1/directory/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123,\n \"page\": 123,\n \"search\": \"<string>\",\n \"orderBy\": \"<string>\",\n \"searchAttributeKey\": \"<string>\",\n \"caseSensitive\": false,\n \"teamId\": \"<string>\",\n \"groups\": [],\n \"ipId\": \"<string>\",\n \"endpointId\": \"<string>\",\n \"endpointPrivateIpId\": \"<string>\",\n \"userAgentId\": \"<string>\",\n \"showUnmanagedUsers\": true,\n \"onlyEnabled\": true,\n \"onlyDisabled\": true,\n \"onlyContained\": true,\n \"onlyChatOpsOnboardingUsers\": true,\n \"excludeNhi\": true,\n \"integrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"licenseIds\": [\n \"<string>\"\n ],\n \"onlyBillable\": true,\n \"groupIds\": [\n \"<string>\"\n ],\n \"dedupeCanonicalRoots\": true,\n \"onlyCanonicalClustersWithDuplicates\": true,\n \"canonicalClusterOfDirectoryUserId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"params": {},
"validationErrors": [
{
"property": "<string>",
"constraint": "<string>",
"params": {},
"code": "<string>"
}
]
}Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Body
application/json

